<?
   if (md5($_POST['norobot']) == $_SESSION['randomnr2'])	{ 
        
				if ((isset($_POST['suscribe'])))
				{  
					
								$query = "SELECT * FROM sitios WHERE sitios.id IN ('0','".SITIO_ID."')";
							
							$smtp = $engine->DB->QueryToArray($query);
				
											/***VARIABLES POR POST ***/
											
											$vals = count($_POST);
											$tags = array_keys($_POST); // obtiene los nombres de las varibles
											$valores = array_values($_POST);// obtiene los valores de las varibles
											
											// crea las variables y les asigna el valor
											
											for($i=0;$i<$vals;$i++){
												$$tags[$i]=$valores[$i]; 
												$tpl->assign($tags[$i], stripslashes(strip_tags($valores[$i])));
											}
					
						$email = strtolower($email);
						
						$query = "SELECT * FROM usuarios WHERE usuarios.email = '".$email."' LIMIT 1";
						$verifyuser = $engine->DB->QueryToArray($query);
						
						$user_key = md5($email.$fecha);
						
						if($verifyuser != ''){
								
								$query = "UPDATE usuarios SET
											boletin			= '1'
											WHERE email 	= '".$email."'";
								
								$update = $engine->DB->QueryToArray($query);
							
							    echo "<h3>Ya estás dado de alta en el Boletín</h3>";
							
							}
							else{
								
								$query = "INSERT INTO usuarios (nombre, email, boletin, status, user_key, fecha_registro) 
										   VALUES ('".$nombre."',
											'".$email."',
											'1',
											'contacto',
											'".$user_key."',
											'".$fecha."')";
								
								$insert = $engine->DB->QueryToArray($query);  
								
								echo "<h3>Te haz Inscrito a nuestro Boletín</h3>";

							}
                        
            }
			
			if ((isset($_POST['unsuscribe'])))
				{ 
                    $query = "UPDATE usuarios SET 
                                usuarios.boletin   = '0'
                            WHERE usuarios.email='".$_POST['email']."'";
                
                    $edit = $engine->DB->QueryToArray($query);
					
					echo "<h3>Haz cancelado tu suscripción al Boletín</h3>";

				}
	
   }


?>





<? if(isset($_GET['publicacion_id']) || isset($_GET['publicacion_seo'])):?>
		<?
        
                $query = "SELECT * FROM boletines WHERE boletines.id = '".$_GET['publicacion_id']."' AND boletines.seo = '".$_GET['publicacion_seo']."' ORDER BY boletines.id ASC LIMIT 1";
                $boletines = $engine->DB->QueryToArray($query);
        
                    $tpl->assign("TITULO",		$boletines[0]['titulo']);
                    $tpl->assign("SEO",			$boletines[0]['seo']);
                    $tpl->assign("DESCRIPCION",	$boletines[0]['descripcion']);
                    $tpl->assign("KEYWORDS",	$boletines[0]['keywords']);
                    $tpl->assign("CONTENIDO",	$boletines[0]['contenido']);
                    
        ?>


        {$CONTENIDO}

<? elseif(isset($_GET['unsuscribe'])):?>

		<?
 				$tpl->assign("MAIL_UNSUSCRIBE", $_GET['unsuscribe']);

			    $boletin_unsuscribe		= modulo_html(MODULOS_DIR.'/boletin_unsuscribe.tpl');
                $tpl->assign("BOLETIN", $tpl->fetch('string:'.$boletin_unsuscribe));
        ?>

    {$BOLETIN}
    
<? else: ?>

		<?
		
               echo $_GET['unsuscribe'];
                $boletin_suscribe		= modulo_html(MODULOS_DIR.'/boletin_suscribe.tpl');
                $tpl->assign("BOLETIN", $tpl->fetch('string:'.$boletin_suscribe));
                
        ?>

    {$BOLETIN}

<? endif; ?>